Foreman - Bug #1589

Cannot create VMs on vSphere (4.0) cluster
04/27/2012 04:57 AM - Rytis Sileika

Status: Resolved

Priority: Normal

Assignee: Ohad Levy

Category: VM management

Target version: 1.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Pull request:

Description

Steps that | followed:

- Updated lib/foreman/model/vmware.rb with the correct HASH (:vsphere_expected_pubkey_hash)
- Added new compute resource, setting type to VMWare. Fetching Datacentres worked fine - | received a list of available DCs.
Selected one of them.

PROBLEM 1

When creating a new host, | changed type from 'bare metal' to 'VMWare'. Filled in all the details. When | clicked on "Submit", it failed
with the following error:

Missing partial compute_resources/vms/form/vmware with {:locale=>[:en, :en], :formats=>[:html], :handlers=>[:builder, :rjs,
rhtml, :rxml, :erb]} in view paths "/opt/foreman/app/views"

Full stack trace:

ActionView::MissingTemplate

Missing partial compute_resources/vms/form/vmware with {:locale=>[:en, :en], :formats=>[:html], :handlers=>[:builder, :rjs,
rhtml, :rxml, :erb]} in view paths "/opt/foreman/app/views"

app/views/hosts/_compute.html.erb:2:in *_app_views_hosts__compute_html_erb_ 383971327_70176225426240_4706636'
app/views/hosts/_compute.html.erb:1:in *_app_views_hosts__compute_html_erb_ 383971327_70176225426240_4706636'
app/views/hosts/_unattended.html.erb:6:in

*_app_views_hosts__unattended_html_erb__ 317377005_70176226311880_6131276'
app/views/hosts/_form.html.erb:52:in *_app_views_hosts__form_html_erb__ 1710001210_70176226962920_1176350'
app/views/hosts/_form.html.erb:3:in *_app_views_hosts__form_html_erb__ 1710001210_70176226962920_1176350'
app/views/hosts/new.html.erb:3:in *_app_views_hosts_new_html_erb__ 2094403440_70176226972220_0'
app/controllers/application_controller.rb:258:in “process_error'

app/controllers/application_controller.rb:253:in “process_error'

app/controllers/hosts_controller.rb:100:in “create’

PROBLEM 2

| don't know if this is related, or should be a separate bug report.
If 1 go to "Compute Resources" then select VMWare resource and click on "Virtual Machines" | get an error message:

Sorry but there was an error: 500 Internal Server Error

It seems that an AJAX call is being made to /compute_resources/1-<name>/vms

If 1 go there directly, | get the following error message:
undefined method “[]=" for nil:NilClass

And the stack trace:

NoMethodError
undefined method “[]=' for nil:NilClass
app/controllers/compute_resources/vms_controller.rb:6:in “index’

Related issues:
Has duplicate Foreman - Bug #1812: 500 server error on vSphere compute_resour... Duplicate 08/07/2012

Associated revisions

Revision 75409a89 - 05/04/2012 12:36 PM - Greg Blomquist

refs #1589 - Remove hardcoded vmware vsphere_expected_pubkey_hash
Now, users will create a ~/.fog file containing:

=begin

:default:

:vsphere_expected_pubkey_hash: HASH_VALUE

=end

Fog will use this file when contacting vsphere to validate the ssl cert.

This is a workaround, until we'll store it in the DB directly.

Revision 3da587a3 - 07/05/2012 09:59 AM - Ohad Levy

refs #1589, ensure that vmware public key is automaticilly imported when testing connection

Revision 1c9af75a - 11/15/2012 05:21 AM - Ohad Levy

fixes #1589 provisioning vmware support

History
#1 - 04/27/2012 11:06 AM - Florian Koch
Hi,

i have the same error with vsphere 5

regards Florian

#2 - 04/27/2012 03:29 PM - Tray Torrance

I'm seeing Problem 2 on vSphere 5, as well. Will update with a full trace next week.

#3 - 05/02/2012 03:17 AM - Cyril CORDOUI BARZI

| have same issue than the problem one with vCenter 4.0 and "Compute Resources" (fog)
I can list VM, but if | try to create a new guest | have the following error:

Missing partial compute_resources/vms/form/vmware with {:locale=>[:en, :en], :formats=>[:html], :handlers=>[:r
js, :rhtml, :rxml, :builder, :erb]} in view paths "/home/puppet/foreman/app/views"

With this Full trace:

ActionView: :MissingTemplate

Missing partial compute_resources/vms/form/vmware with {:locale=>[:en, :en], :formats=>[:html], :handlers=>[:r
js, :rhtml, :rxml, :builder, :erb]} in view paths "/home/puppet/foreman/app/views"
app/views/hosts/_compute.html.erb:2:in ' _app_views_hosts__compute_html_erb__ 598015553_55079560_5515308"
app/views/hosts/_compute.html.erb:1:in ' _app_views_hosts__compute_html_erb__ 598015553_55079560_5515308"
app/views/hosts/_unattended.html.erb:6:in °~_app_views_hosts__unattended_html_erb__ 1022913327_57235040_389164"
app/views/hosts/_form.html.erb:52:in ' _app_views_hosts__ _form_html_erb__ 957189508_58920400_528990"
app/helpers/layout_helper.rb:130:in " form_for'

app/views/hosts/_form.html.erb:3:in " _app_views_hosts__ form_html_erb__ 957189508_58920400_528990"'
app/views/hosts/new.html.erb:3:in _app_views_hosts_new_html_erb_ 1939049200_58938700_0"

05/11/2024 2/7




app/controllers/application_controller.rb:258:1in “process_error'
app/controllers/application_controller.rb:253:in “process_error'
app/controllers/hosts_controller.rb:100:in “create'

#4 - 05/07/2012 02:26 PM - Tray Torrance

Upon switching my foreman install to development mode, this is the logged error when attempting to list VMs:
Completed 500 Internal Server Error in 38791ms

NoMethodError (You have a nil object when you didn't expect it!

You might have expected an instance of Array.

The error occurred while evaluating nil.[]=):
app/controllers/compute_resources/vms_controller.rb:6:in "index'

Rendered vendor/ruby/l.8/gems/actionpack-3.0.10/1lib/action_dispatch/middleware/templates/rescues/_trace.erb (4
.2ms)

Notice Load (0.7ms) SELECT * FROM "notices’ INNER JOIN ‘user_notices’ ON ‘notices’.id = ‘user_notices .noti
ce_id WHERE ("user_notices’ .us
er_id = 1)

Rendered vendor/ruby/1l.8/gems/actionpack-3.0.10/1ib/action_dispatch/middleware/templates/rescues/_request_and_
response.erb (776.1lms)

Rendered vendor/ruby/1l.8/gems/actionpack—-3.0.10/1ib/action_dispatch/middleware/templates/rescues/diagnostics.e
rb within rescues/layout (793.

9ms)

#5 - 05/07/2012 02:56 PM - Ohad Levy
- Priority changed from High to Normal

sadly this seems like rovmomi gem fault.
this is not the full trace, you should probably look for the full trace (vs the application trace).

can you get the vm listing using rbovmomi? sadly i cant reproduce it locally.

#6 - 05/09/2012 08:48 AM - Rytis Sileika

I've tried connection with “rmvmomi’ (from the bundled gem), and was able to list the VMs and folders in it without any problems:

# bundle exec vendor/ruby/1l.8/gems/rbvmomi-1.5.1/bin/rbvmomish -o vsphere-host -k -u <username> -p <password>
RAILS_ENV=production
vsphere-host> dc = si.content.rootFolder.childEntity.grep (VIM: :Datacenter) [0]
Datacenter ("datacenter-2")

vsphere-host> dc.vmFolder.childEntity

[Folder ("group-v1141"),

Folder ("group-v763"),
Folder ("group-v762"),
Folder ("group-v1181"),
Folder ("group-v1171"),
Folder ("group-v85"),
Folder ("group-v1090"),
VirtualMachine ("vm-921"),

VirtualMachine ("vm-1111"),
VirtualMachine ("vm-1165"),
VirtualMachine ("vm-1182"),
VirtualMachine ("vm-809"),
VirtualMachine ("vm-846"),
VirtualMachine ("vm-848")

( )

r
VirtualMachine ("vm-873") ]
vsphere-host>

#7 - 08/08/2012 02:20 AM - Ohad Levy

- Status changed from New to Pending

at the moment I'm lacking a proper test env, (or at least in my single vcenter / esx | cant reproduce the problem).

anyone got a setup that | could access / use for testing?

#8 - 09/13/2012 09:24 AM - Jason Ashby
Ohad Levy wrote:
at the moment I'm lacking a proper test env, (or at least in my single vcenter / esx | cant reproduce the problem).

anyone got a setup that | could access / use for testing?

Unfortunately, | can't offer mine up, but I'm happy to do some deeper troubleshooting if you can give me a list of things to try.

#9 - 09/24/2012 02:15 PM - Miles Monteleone

Same here. No chance my company would provide access to our ESX environment. Tell me what | can do and I'll do it.

Jason Ashby wrote:

Ohad Levy wrote:

at the moment I'm lacking a proper test env, (or at least in my single vcenter / esx | cant reproduce the problem).

anyone got a setup that | could access / use for testing?

Unfortunately, | can't offer mine up, but I'm happy to do some deeper troubleshooting if you can give me a list of things to try.

#10 - 10/02/2012 04:22 PM - Branden Timm

Having the exact same issues here with Foreman 1.0.1 and vSphere 5.1. | set the logging level to debug in my Rails environment file and got a more
complete stack trace than what was posted above:

Operation FAILED:

/usr/lib/ruby/gems/1.8/gems/rbvmomi-1.5.1/1ib/rbvmomi/vim/Folder.rb:189:in

/usr/lib/ruby/gems/1. 0/1lib/fog/vsphere/requests/compute/list_virtual_machines.

undefined method
/usr/lib/ruby/gems/1.8/gems/rbvmomi-1.5.1/1ib/rbvmomi/vim/Folder.rb:192:in
/usr/lib/ruby/gems/1.8/gems/rbvmomi-1.5.1/1ib/rbvmomi/vim/Folder.rb:189:in

~ [1="

8/gems/fog-1.4.

1_virtual_machine_mobs'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

8/gems/fog-1.4.
8/gems/fog-1.4.

1_virtual_machine_mobs'

/usr/lib/ruby/gems/1.

1_virtual_machines'

/usr/lib/ruby/gems/1.

rtual_machines'

8/gems/fog-1.4.

8/gems/fog-1.4.

for nil:NilClass

“inventory'
“each'
“inventory'

0/1lib/fog/vsphere/requests/compute/list_virtual_machines.
0/1lib/fog/vsphere/requests/compute/list_virtual_machines.
0/1lib/fog/vsphere/requests/compute/list_virtual_machines.

0/1ib/fog/vsphere/requests/compute/list_virtual_machines.

rb:95:in “list_al
rb:94:in “each'

rb:94:in “list_al
rb:75:in “list_al
rb:14:in "~ list_vi

/usr/lib/ruby/gems/1.8/gems/fog-1.4.0/1ib/fog/vsphere/models/compute/servers.rb:19:in “all'
/usr/share/foreman/app/controllers/compute_resources_vms_controller.rb:6:in "~ index'

/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1.

_around_3108"

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

_around_3108"'

/usr/lib/ruby/gems/1.

8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.

8/gems/actionpack-3.
8/gems/actionpack-3.

0

0.

0

0.
0.

.15/1ib/action_controller/metal/implicit_render.rb:4:in

“send_action

15/1ib/action_controller/metal/implicit_render.rb:4:in “send_action

.15/1ib/abstract_controller/base.rb:150:in ‘process_action'

8/gems/activesupport-3.0.15/1ib/active_support/callbacks.rb:485:in
cess_action_ 1891903405_ callbacks'

8/gems/activesupport-3.0.

8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.
8/gems/activesupport-3.

8/gems/activesupport-3.0.

cess_action_ 1891903405_ callbacks'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

allbacks'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

tion'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

ument '

/usr/lib/ruby/gems/1.
8/gems/activesupport-3.0.
8/gems/activesupport-3.0.

8/gems/activesupport-3.0.
8/gems/activesupport-3.0.

15/1ib/active_support/callbacks.
.15/1ib/active_support/callbacks.

0

0.15/1ib/active_support/callbacks.
0.15/1ib/active_support/callbacks.
0.15/1ib/active_support/callbacks.
15/1ib/active_support/callbacks.

15/1ib/active_support/callbacks.
15/1ib/active_support/callbacks.

15/1ib/active_support/callbacks.
15/1ib/active_support/callbacks.

rb:

rb:
rb:
rb:
rb:

rb:

rb:
rb:

rb:
rb:

221:

331:
315:
315:
220:

436:

410:
410:

in
in
in
in
in
in
in
in

94:in
94:in
8/gems/actionpack-3.0.15/1ib/abstract_controller/callbacks.rb:17:in "“process_action'

15/1ib/action_controller/metal/rendering.rb:11:in “process_action'
15/1ib/abstract_controller/callbacks.rb:18:in ‘process_action'

_run__1194565028__pro

*_conditional_callback
“around'

“send'
_callback_around_13"
_conditional_callback
_run__1194565028__pro
“send'

' _run_process_action_c

“send'

“run_callbacks'

8/gems/actionpack-3.0.15/1ib/action_controller/metal/rescue.rb:17:in “process_action'
8/gems/actionpack-3.0.15/1ib/action_controller/metal/instrumentation.rb:30:in "process_ac

8/gems/activesupport-3.0.15/1ib/active_support/notifications.rb:52:in "instrument'
8/gems/activesupport-3.0.15/1ib/active_support/notifications/instrumenter.rb:21:in " instr

8/gems/activesupport-3.0.15/1ib/active_support/notifications.rb:52:in "instrument'
/usr/lib/ruby/gems/1.

tion'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

call'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

‘call!

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

28:in " cache'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

.rb:354:in “call'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

est'

/usr/lib/ruby/gems/1.

8/gems/actionpack-3.0.

8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/actionpack-3.
8/gems/rack-mount-0.
8/gems/rack-mount-0.
8/gems/rack-mount-0.
8/gems/rack-mount-0.
8/gems/rack-mount-0.
8/gems/actionpack-3.
8/gems/actionpack-3.

O O O O O O O ©O O O O O © O O

8/gems/actionpack-3.0
8/gems/rack-1.2.5/1ib
8/gems/actionpack-3.0
8/gems/actionpack-3.0
8/gems/actionpack-3.0

8/gems/actionpack-3.0

8/gems/activerecord-3.
8/gems/activerecord-3.

8/gems/activerecord-3.
8/gems/activerecord-3.
8/gems/activerecord-3.

8/gems/actionpack-3.0
8/gems/activesupport—

15/1ib/action_controller/metal/instrumentation.rb

.15/1ib/abstract_controller/base.rb:119:in “proces
.15/1ib/abstract_controller/rendering.rb:41:in “pr

:29:1in

s A}
ocess'

.15/1ib/action_controller/metal.rb:138:in “dispatch'

.15/1ib/action_controller/metal/rack_delegation.rb
.15/1ib/action_controller/metal.rb:178:in “action'
.15/1ib/action_dispatch/routing/route_set.rb:68:1in
.15/1ib/action_dispatch/routing/route_set.rb:68:1in
.15/1ib/action_dispatch/routing/route_set.rb:33:in
.14/1ib/rack/mount/route_set.rb:148:in “call'

.14/1ib/rack/mount/code_generation.rb:93:in "recog
.14/1ib/rack/mount/code_generation.rb:82:in
.14/1lib/rack/mount/code_generation.rb:92:in 'recog
.14/1ib/rack/mount/route_set.rb:139:in ‘call'

:14:in

‘call!

P

el

rocess_ac

ispatch'

“dispatch'

‘call!

nize'

nize'

.15/1ib/action_dispatch/routing/route_set.rb:499:in “call'
.15/1ib/action_dispatch/middleware/best_standards_support.rb:17:in

.15/1ib/action_dispatch/middleware/head.rb:14:in °
/rack/methodoverride.rb:24:in “call'

call"

‘optimized_each'

.15/1ib/action_dispatch/middleware/params_parser.rb:21:in “call'

.15/1ib/action_dispatch/middleware/flash.rb:182:in “call'
.15/1ib/action_dispatch/middleware/session/abstract_store.rb:149:

.15/1ib/action_dispatch/middleware/cookies.rb:302:in “call'

0.15/1ib/active_record/query_cache.rb:32:in “call

0.15/1ib/active_record/query_cache.rb:12:in "cach
0.15/1ib/active_record/query_cache.rb:31:in “call

e!
1

0.15/1ib/active_record/connection_adapters/abstract/query_cache.

in

rb:

0.15/1ib/active_record/connection_adapters/abstract/connection_pool

.15/1ib/action_dispatch/middleware/callbacks.rb:46:in “call'

3.0.15/1ib/active_support/callbacks.rb:416:in

‘_run_call_callbacks'

8/gems/actionpack-3.0.15/1ib/action_dispatch/middleware/callbacks.rb:44:in ‘call'

8/gems/rack-1.2.5/1ib

/rack/sendfile.rb:106:in “call'

8/gems/actionpack-3.0.15/1ib/action_dispatch/middleware/remote_ip.rb:48:in “call'
8/gems/actionpack-3.0.15/1ib/action_dispatch/middleware/show_exceptions.rb:47:in ‘call'

8/gems/railties-3.0.1
8/gems/rack-1.2.5/1ib

5/1lib/rails/rack/logger.rb:13:in “call'
/rack/runtime.rb:17:in “call’

8/gems/activesupport-3.0.15/1ib/active_support/cache/strategy/local_cache.rb:72:in “call'

8/gems/rack-1.2.5/1ib
8/gems/rack-1.2.5/1ib
8/gems/rack-1.2.5/1ib

8/gems/actionpack-3.0.15/1lib/action_dispatch/middleware/static.rb:30:in “call’

8/gems/railties-3.0.1
8/gems/railties-3.0.1
8/gems/railties-3.0.1
8/gems/rack-1.2.5/1ib
8/gems/rack-1.2.5/1ib
8/gems/rack-1.2.5/1ib
8/gems/passenger—-3.0

8/gems/passenger—3.0.

and_process_next_request'

/usr/lib/ruby/gems/1
op'
/usr/lib/ruby/gems/1
equest_handler'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

spawn_application'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

spawn_application'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

/usr/lib/ruby/gems/1.

sly'

/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.
/usr/lib/ruby/gems/1.

tion'

/usr/lib/ruby/gems/1.
8/gems/passenger—3.0.
8/gems/passenger—-3.0.

8/gems/passenger—3.0.
8/gems/passenger—-3.0.

8/gems/passenger—3.0.
8/gems/passenger—-3.0.

8/gems/passenger—3.0.
8/gems/passenger—-3.0.

8/gems/passenger—3.0.
8/gems/passenger—3.0.
8/gems/passenger—3.0.

8/gems/passenger—-3.0.

8/gems/passenger—3.0.

/rack/lock.rb:13:in ‘call'
/rack/lock.rb:13:in ‘synchronize'
/rack/lock.rb:13:in “call'

5/1lib/rails/application.rb:168:in “call'
5/1lib/rails/application.rb:77:in "send'
5/lib/rails/application.rb:77:in “method_missing'
/rack/urlmap.rb:47:in ‘call'
/rack/urlmap.rb:41:in “each'
/rack/urlmap.rb:41:in “call’

12/1ib/phusion_passenger/abstract_request_handler.

12/1ib/phusion_passenger/abstract_request_handler.

12/1ib/phusion_passenger/rack/application_spawner.

12/1ib/phusion_passenger/rack/application_spawner.
12/1ib/phusion_passenger/rack/application_spawner.

12/1ib/phusion_passenger/utils.rb:479:in "safe_for
12/1ib/phusion_passenger/rack/application_spawner.
12/1ib/phusion_passenger/abstract_server.rb:357:1in
12/1ib/phusion_passenger/abstract_server.rb:357:in

12/1ib/phusion_passenger/abstract_server.rb:206:1in

12/1ib/phusion_passenger/abstract_server.rb:180:in

rb

rb:

rb:

rb:
rb:

kl
rb

274:

206:

171:

171:

:166:

in

in

in

in

in

.12/1ib/phusion_passenger/rack/request_handler.rb:96:in "process_requ

:513:1in “accept_

‘main_lo
‘start_r
“send'

“handle_

“handle_

_ _send__"'

“server_main_loop

“start_synchronou

‘start!

12/1ib/phusion_passenger/rack/application_spawner.rb:129:in "start'

12/1ib/phusion_passenger/spawn_manager.rb:253:in 'spawn_rack_applica

12/1ib/phusion_passenger/abstract_server_collection.rb:132:in "~ looku
p_or_add'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/spawn_manager.rb:246:in " spawn_rack_applica
tion'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/abstract_server_collection.rb:82:in 'synchr
onize'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/abstract_server_collection.rb:79:in "~synchr
onize'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/spawn_manager.rb:244:in " spawn_rack_applica
tion'

/usr/lib/ruby/gems/1.8/gems/passenger—-3.0.12/1ib/phusion_passenger/spawn_manager.rb:137:in 'spawn_application'
/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_appli
cation'

/usr/lib/ruby/gems/1.8/gems/passenger—-3.0.12/1ib/phusion_passenger/abstract_server.rb:357:in ~__send___

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/abstract_server.rb:357:in " server_main_loop
A}

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/1ib/phusion_passenger/abstract_server.rb:206:in "~ start_synchronou
sly'

/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/helper-scripts/passenger-spawn-server: 99

Rendered common/500.rhtml (3.2ms)

Completed 500 Internal Server Error in 10639ms (Views: 4.9ms | ActiveRecord: 1.4ms)

| also cannot offer up my vSphere environment for testing but am willing to try whatever.
FWIW, | believe you can virtualize ESXi itself - meaning you could probably make a reasonable test environment with 1 vcenter vm and one ESXi vm.
#11 - 10/25/2012 11:15 AM - Ohad Levy

- Category changed from Host creation to VM management

- Status changed from Pending to New

I've just sent a quick fix for the vm listing error mentioned here https:/github.com/fog/fog/pull/1229/

#12 - 10/28/2012 09:25 PM - Branden Timm

| can confirm that this seems to have fixed (or improved) the issue after switching bundler.d/fob.rb to use master instead of >= 1.4. At least a partial
list of VMs are being returned now.

#13 - 10/28/2012 09:25 PM - Branden Timm
Sorry, typo there - obviously it's bundler.d/fog.rb, not fob.rb

#14 - 11/07/2012 03:07 PM - Miles Monteleone

Branden Timm wrote:
| can confirm that this seems to have fixed (or improved) the issue after switching bundler.d/fob.rb to use master instead of >= 1.4. Atleasta
partial list of VMs are being returned now.

Same here, but only 3 VMs are returned, which are all in the root level of their respective datacenters. Seems that VCenter folders are not being

traversed.

Thanks for the work on this Ohad! This is very cool to see in Foreman; | only wish | had better ruby dev skills so | could help out more :\

#15 - 11/07/2012 03:12 PM - Ohad Levy

I just finished a working POC for this :) so its perfect timing.

in order to test this, you would need to checkout https:/github.com/ohadlevy/foreman/tree/vmware

(make sure you pull the vmware branch from my github).
Please let us know if it works
#16 - 11/07/2012 06:00 PM - Miles Monteleone
Thanks Ohad! | checked out the vmware branch but Foreman is still only displaying top-level VMs.
Ohad Levy wrote:
I just finished a working POC for this :) so its perfect timing.

in order to test this, you would need to checkout https://github.com/ohadlevy/foreman/tree/vmware
(make sure you pull the vmware branch from my github).

Please let us know if it works

#17 - 11/08/2012 01:56 AM - Ohad Levy

Miles Monteleone wrote:

Thanks Ohad! | checked out the vmware branch but Foreman is still only displaying top-level VMs.

actually what i fixed was vm creation, not so much of the listing.. I'll try to see if i can fix that, but I'm guessing that would be in another ticket :)

after you could create vm's from foreman directly, you dont really need to browse the VMS via the compute resource (as all of the info would be avail
under the hosts tab).

If you aready have it running, can you try creating a vm and see if it works currectly (network, datastore etc)
thanks!
#18 - 11/12/2012 02:07 PM - Miles Monteleone
Ohad Levy wrote:
Miles Monteleone wrote:

Thanks Ohad! | checked out the vmware branch but Foreman is still only displaying top-level VMs.

actually what i fixed was vm creation, not so much of the listing.. I'll try to see if i can fix that, but I'm guessing that would be in another ticket :)

after you could create vm's from foreman directly, you dont really need to browse the VMS via the compute resource (as all of the info would be
avail under the hosts tab).

If you aready have it running, can you try creating a vm and see if it works currectly (network, datastore etc)

thanks!

Understood! I'm going to give it a whirl.

#19 - 11/14/2012 10:35 AM - Ohad Levy
- Status changed from New to Resolved
- Assignee set to Ohad Levy

- Target version set to 1.1

Pull request at
https://github.com/theforeman/foreman/pull/242

This requests adds the ability to create VM's on VCenter (and hopefully ESX too) - please test!! :)
